Summary:        Applying JSON Patches in Python
Name:           python-jsonpatch
Version: 1.33
Release: 1%{?dist}
License:        BSD
URL:            https://github.com/stefankoegl/python-json-patch
Source0:        https://pypi.io/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
Patch3000:      0001-Skip-unit-test-in-packaging.patch
BuildArch:      noarch

%description
Library to apply JSON Patches according to RFC 6902 - Python 2 build.

%package -n python3-jsonpatch
Summary:        Applying JSON Patches in Python 3

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-jsonpointer
Requires:       python3-jsonpointer

Provides:       python3-jsonpatch

%description -n python3-jsonpatch
Library to apply JSON Patches according to RFC 6902 - Python 3 build.

%prep
%autosetup -p1 -n jsonpatch-%{version}

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{_bindir}/jsondiff
mv %{buildroot}%{_bindir}/jsonpatch %{buildroot}%{_bindir}/jsonpatch-%{python3_version}
ln -s ./jsonpatch-%{python3_version} %{buildroot}%{_bindir}/jsonpatch-3
ln -s ./jsonpatch-%{python3_version} %{buildroot}%{_bindir}/jsonpatch

%check
%{__python3} tests.py

%files -n python3-jsonpatch
%license LICENSE
%doc README.md
%{_bindir}/jsonpatch
%{_bindir}/jsonpatch-3*
%{python3_sitelib}/jsonpatch.py*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/jsonpatch-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.33-1
- upgrade to 1.33

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.21-1
- package init.
